import { IconExit, IconNext, IconPrev } from "@/assets/icons";
import { Button, Dropdown } from "ant-design-vue";
import Modal from "queenjs/adapter/vue/components/modal";
import { defineComponent } from "vue";
import { any } from "vue-types";
import { ShareBox } from "./ShareBox";

export default defineComponent({
  props: {
    data: any(),
  },
  setup(props) {
    // const editor = useEditor();
    // const resource = useResource();

    return () => {
      const { data } = props;
      return (
        <div class="h-100vh flex flex-col bg-[#0B0B0B]">
          <div class="h-64px flex items-center justify-between px-20px bg-[#262626]">
            <Button
              class="flex items-center text-12px bg-dark-50 hover:(bg-dark-100 border-transparent text-light-50)"
              onClick={() => Modal.clear()}
            >
              <IconExit class="text-20px mr-5px" /> 退出预览
            </Button>
            <span class="text-14px select-none">{data.title}</span>
            <Dropdown
              overlay={<ShareBox />}
              trigger="click"
              placement="bottomRight"
            >
              <Button class="text-dark-500 hover:text-dark-500" type="primary">
                分享
              </Button>
            </Dropdown>
          </div>
          <div class="flex-1">
            <div class="absolute bottom-30px left-1/2 w-130px h-44px px-4px flex items-center justify-between bg-[#262626] rounded-4px transform -translate-x-1/2">
              <IconPrev class="rounded-4px text-36px cursor-pointer transition hover:bg-dark-600 active:bg-dark-900" />
              <span class="select-none">1/2</span>
              <IconNext class="rounded-4px text-36px cursor-pointer transition hover:bg-dark-600 active:bg-dark-900" />
            </div>
          </div>
        </div>
      );
    };
  },
});
